## fonts-smc-gayathri 1.100

=== Makefile ===
#!/usr/bin/make -f

NAME=Gayathri
FONTS=Regular Bold Thin
INSTALLPATH=/usr/share/fonts/opentype/malayalam
PY=python3
version=`cat VERSION`
TOOLDIR=tools
SRCDIR=sources
webfontscript=$(TOOLDIR)/webfonts.py
designspace=$(SRCDIR)/GayathriProject.designspace
tests=tests
BLDDIR=build
default: otf
all: clean lint otf ttf webfonts test
OTF=$(FONTS:%=$(BLDDIR)/$(NAME)-%.otf)
TTF=$(FONTS:%=$(BLDDIR)/$(NAME)-%.ttf)
WOFF2=$(FONTS:%=$(BLDDIR)/$(NAME)-%.woff2)
PDFS=$(FONTS:%=$(BLDDIR)/$(NAME)-%-ligatures.pdf)   \
	$(FONTS:%=$(BLDDIR)/$(NAME)-%-content.pdf)      \
	$(FONTS:%=$(BLDDIR)/$(NAME)-%-table.pdf)

$(BLDDIR)/%.otf: $(SRCDIR)/%.ufo
	@echo "  BUILD    $(@F)"
	@fontmake --validate-ufo --verbose=WARNING -o otf --output-dir $(BLDDIR) -u $<

$(BLDDIR)/%.ttf: $(SRCDIR)/%.ufo
	@echo "  BUILD    $(@F)"
	@fontmake --verbose=WARNING -o ttf -e 0.01 --output-dir $(BLDDIR) -u $<

$(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
	@echo "WEBFONT    $(@F)"
	@$(PY) $(webfontscript) -i $<

$(BLDDIR)/%-table.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@fntsample --font-file $< --output-file $(BLDDIR)/$(@F)        \
		--style="header-font: Noto Sans Bold 12"                   \
		--style="font-name-font: Noto Serif Bold 12"               \
		--style="table-numbers-font: Noto Sans 10"                 \
		--style="cell-numbers-font:Noto Sans Mono 8"

$(BLDDIR)/%-ligatures.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
		--foreground=333333 --text-file $(tests)/ligatures.txt \
		--output-file $(BLDDIR)/$(@F);

$(BLDDIR)/%-content.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
		--foreground=333333 --text-file $(tests)/content.txt \
		--output-file $(BLDDIR)/$(@F);

ttf: $(TTF)
otf: $(OTF)
webfonts: $(WOFF2)
lint: ufolint
ufo: glyphs ufonormalizer lint

ufolint: $(SRCDIR)/*.ufo
	$@ $^
ufonormalizer: $(SRCDIR)/*.ufo
	@for variant in $^;do \
		ufonormalizer -m $$variant;\
	done;
install: otf
	@mkdir -p ${DESTDIR}${INSTALLPATH}
	install -D -m 0644 $(BLDDIR)/*.otf ${DESTDIR}${INSTALLPATH}/

test: ttf $(PDFS)
	fontbakery check-fontval $(BLDDIR)/*.ttf
	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
	fontbakery check-opentype $(BLDDIR)/*.otf
	fontbakery check-googlefonts -x com.google.fonts/check/029 -x com.google.fonts/check/117 $(BLDDIR)/*.ttf

glyphs: $(FONTS:%=$(SRCDIR)/$(NAME)-%/glyphs)

$(SRCDIR)/$(NAME)-%/glyphs:
	@for svg in `ls $(SRCDIR)/design/$*/*.svg`;do \
		$(PY) tools/import-svg-to-ufo.py -c $(SRCDIR)/design/config/$*.yaml $$svg; \
	done;

clean:
	@rm -rf $(BLDDIR)

=== requirements.txt ===
Brotli>=1.0.7
fontmake==1.9.1
pyyaml
ufolint>=0.3.5
ufonormalizer>=0.3.6
fontbakery>=0.6.9

## fonts-smc-gayathri 1.000

=== debian/changelog ===
fonts-smc-gayathri (1.000-1) unstable; urgency=medium

  * Initial release (Closes: #923029)

 -- Balasankar C <balasankarc@debian.org>  Sat, 23 Feb 2019 12:14:40 +0530

=== debian/control ===
Source: fonts-smc-gayathri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper (>= 11~),
               libharfbuzz-bin,
               fontmake
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-gayathri.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-gayathri
Standards-Version: 4.3.0
Homepage: https://smc.org.in

Package: fonts-smc-gayathri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Gayathri Malayalam font
 This package provides Gayathri font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/gayathri-$1\.tar\.gz/g \
  https://gitlab.com/smc/fonts/gayathri/tags?sort=updated_desc .*Version(\d\S+)\.tar\.gz

## fonts-smc-gayathri 1.100

=== debian/changelog ===
fonts-smc-gayathri (1.100-2) unstable; urgency=medium

  * Bump Debhelper compatibility to 13
  * Bump Standards Version to 4.5.0
  * Declares Rules-require-root
  * Fix email of Debian Fonts Task Force
  * Add upstream metadata file
  * patches/add-appstream-file: Add appstream metainfo file

 -- Balasankar C <balasankarc@debian.org>  Sun, 03 May 2020 17:41:07 +0530

fonts-smc-gayathri (1.100-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compatibility to 12
    - Move to debhelper-compat Build-Depends
    - Remove debian/compat file

 -- Balasankar C <balasankarc@debian.org>  Sat, 20 Jul 2019 19:41:17 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fonts-smc-gayathri
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                libharfbuzz-bin,
                fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-gayathri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-gayathri
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://smc.org.in
+Rules-Requires-Root: no
 
 Package: fonts-smc-gayathri
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).gayathri-Version(\d\S+)\.tar\.gz/gayathri-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/gayathri/tags?sort=updated_desc .*gayathri-Version(\d\S+)\.tar\.gz

## fonts-smc-gayathri 1.110

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 version=`cat VERSION`
 TOOLDIR=tools
 SRCDIR=sources
-webfontscript=$(TOOLDIR)/webfonts.py
 designspace=$(SRCDIR)/GayathriProject.designspace
 tests=tests
 BLDDIR=build
@@ -30,7 +29,7 @@
 
 $(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
 	@echo "WEBFONT    $(@F)"
-	@$(PY) $(webfontscript) -i $<
+	@fonttools ttLib.woff2 compress  $<
 
 $(BLDDIR)/%-table.pdf: $(BLDDIR)/%.ttf
 	@echo "   TEST    $(@F)"
@@ -68,11 +67,11 @@
 	@mkdir -p ${DESTDIR}${INSTALLPATH}
 	install -D -m 0644 $(BLDDIR)/*.otf ${DESTDIR}${INSTALLPATH}/
 
-test: ttf $(PDFS)
-	fontbakery check-fontval $(BLDDIR)/*.ttf
+test: ttf otf $(PDFS)
+	# fontbakery check-fontval $(BLDDIR)/*.ttf <- enable when https://github.com/microsoft/Font-Validator/issues/62 fixed
 	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
 	fontbakery check-opentype $(BLDDIR)/*.otf
-	fontbakery check-googlefonts -x com.google.fonts/check/029 -x com.google.fonts/check/117 $(BLDDIR)/*.ttf
+	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/glyph_coverage -x com.google.fonts/check/repo/zip_files $(BLDDIR)/*.ttf
 
 glyphs: $(FONTS:%=$(SRCDIR)/$(NAME)-%/glyphs)

=== requirements.txt ===
Brotli>=1.0.7
fontmake>=2.2.0
pyyaml
ufolint>=1.0.0
ufonormalizer>=0.4.1
fontbakery>=0.7.29

## fonts-smc-gayathri 1.110-2

=== debian/changelog ===
fonts-smc-gayathri (1.110-2-1) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * New upstream release.
  * debian/control:
    + Bumped to debhelper-compat 13.
    + Updated to Standards-Version 4.6.0
    + Added Rules-Requires-Root field.
  * debian/copyright:
    + Added metadata license.
    + Updated Debian copyright.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 Mar 2022 19:31:36 +0530

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: fonts-smc-gayathri
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libharfbuzz-bin,
-               fontmake
+Build-Depends: debhelper-compat (= 13), fontmake, libharfbuzz-bin
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-gayathri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-gayathri
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://smc.org.in
 Rules-Requires-Root: no

## fonts-smc-gayathri 1.200

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 WOFF2=$(FONTS:%=$(BLDDIR)/$(NAME)-%.woff2)
 PDFS=$(FONTS:%=$(BLDDIR)/$(NAME)-%-ligatures.pdf)   \
 	$(FONTS:%=$(BLDDIR)/$(NAME)-%-content.pdf)      \
+	$(FONTS:%=$(BLDDIR)/$(NAME)-%-kerning.pdf)      \
 	$(FONTS:%=$(BLDDIR)/$(NAME)-%-table.pdf)
 
 $(BLDDIR)/%.otf: $(SRCDIR)/%.ufo
@@ -25,7 +26,7 @@
 
 $(BLDDIR)/%.ttf: $(SRCDIR)/%.ufo
 	@echo "  BUILD    $(@F)"
-	@fontmake --verbose=WARNING -o ttf -e 0.01 --output-dir $(BLDDIR) -u $<
+	@fontmake --verbose=WARNING -o ttf -e 0.01 --flatten-components --filter DecomposeTransformedComponentsFilter --output-dir $(BLDDIR) -u $<
 
 $(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
 	@echo "WEBFONT    $(@F)"
@@ -43,6 +44,12 @@
 	@echo "   TEST    $(@F)"
 	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
 		--foreground=333333 --text-file $(tests)/ligatures.txt \
+		--output-file $(BLDDIR)/$(@F);
+
+$(BLDDIR)/%-kerning.pdf: $(BLDDIR)/%.ttf
+	@echo "   TEST    $(@F)"
+	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
+		--foreground=333333 --text-file $(tests)/kerning.txt \
 		--output-file $(BLDDIR)/$(@F);
 
 $(BLDDIR)/%-content.pdf: $(BLDDIR)/%.ttf
@@ -71,7 +78,7 @@
 	# fontbakery check-fontval $(BLDDIR)/*.ttf <- enable when https://github.com/microsoft/Font-Validator/issues/62 fixed
 	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
 	fontbakery check-opentype $(BLDDIR)/*.otf
-	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/glyph_coverage -x com.google.fonts/check/repo/zip_files $(BLDDIR)/*.ttf
+	fontbakery check-googlefonts -x com.google.fonts/check/version_bump -x com.google.fonts/check/repo/zip_files -x com.google.fonts/check/license/OFL_body_text -x com.google.fonts/check/fontdata_namecheck $(BLDDIR)/*.ttf
 
 glyphs: $(FONTS:%=$(SRCDIR)/$(NAME)-%/glyphs)

=== requirements.txt ===
Brotli>=1.0.9
fonttools[ufo,lxml,woff,unicode]>=4.32.0
fontmake>=3.3.0
pyyaml>=6.0.0
ufolint>=1.2.0
ufonormalizer>=0.5.4
fontbakery>=0.8.7

=== debian/changelog ===
fonts-smc-gayathri (1.200-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch add-appstream-file - already applied upstream

 -- Balasankar C <balasankarc@debian.org>  Sat, 14 May 2022 10:10:10 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: fonts-smc-gayathri
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper-compat (= 13), fontmake, libharfbuzz-bin
+Build-Depends: debhelper-compat (= 13),
+               libharfbuzz-bin,
+               fontmake
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-gayathri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-gayathri
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Homepage: https://smc.org.in
 Rules-Requires-Root: no
